Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Big fat Poppler blockage.
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
iGentoo900
n00b
n00b


Joined: 02 Feb 2009
Posts: 15

PostPosted: Thu Jun 25, 2009 3:31 pm    Post subject: Big fat Poppler blockage. Reply with quote

First, my emerge --info:
Portage 2.1.6.13 (default/linux/x86/2008.0, gcc-4.2.4, glibc-2.8_p20080602-r1, 2.6.29.4 i686)
=================================================================
System uname: Linux-2.6.29.4-i686-Intel-R-_Celeron-R-_CPU_530_@_1.73GHz-with-glibc2.0
Timestamp of tree: Thu, 25 Jun 2009 15:00:01 +0000
app-shells/bash: 3.2_p39
dev-java/java-config: 2.1.7
dev-lang/python: 2.5.4-r2
dev-util/cmake: 2.6.4
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox: 1.6-r2
sys-devel/autoconf: 2.13, 2.63
sys-devel/automake: 1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils: 2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool: 1.5.26
virtual/os-headers: 2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl alsa berkdb bzip2 cdr cli cracklib crypt cups dri dvd fortran gdbm gpm gtk iconv ipv6 isdnlog jpeg kde midi mmx mp3 mudflap ncurses nls nptl nptlonly opengl openmp pam pcre perl png pppd python qt4 readline reflection session spl ssl sysfs tcpd truetype unicode wifi x86 xorg xpm zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="synaptics mouse keyboard evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="vesa intel"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Now, I recently synced. I did a emerge -up world and a biggy fat poppler blockage springs out...
[ebuild N ] dev-libs/poppler-0.10.7 USE="abiword poppler-data"
[ebuild N ] app-text/poppler-utils-0.10.7 USE="abiword"
[ebuild U ] virtual/poppler-0.10.7 [0.10.5]
[uninstall ] app-text/poppler-0.10.5-r1
[blocks b ] app-text/poppler ("app-text/poppler" is blocking dev-libs/poppler-0.10.7, app-text/poppler-utils-0.10.7)
[blocks b ] dev-libs/poppler ("dev-libs/poppler" is blocking app-text/poppler-0.10.5-r1)
[blocks b ] app-text/poppler-utils ("app-text/poppler-utils" is blocking app-text/poppler-0.10.5-r1)
[ebuild U ] virtual/poppler-utils-0.10.7 [0.10.5]
[blocks B ] app-text/poppler-bindings ("app-text/poppler-bindings" is blocking dev-libs/poppler-0.10.7, app-text/poppler-utils-0.10.7)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

('installed', '/', 'app-text/poppler-bindings-0.10.5-r1', 'nomerge') pulled in by
app-text/poppler-bindings required by world

('ebuild', '/', 'dev-libs/poppler-0.10.7', 'merge') pulled in by
~dev-libs/poppler-0.10.7 required by ('ebuild', '/', 'virtual/poppler-0.10.7', 'merge')
~dev-libs/poppler-0.10.7[abiword] required by ('ebuild', '/', 'app-text/poppler-utils-0.10.7', 'merge')

('ebuild', '/', 'app-text/poppler-utils-0.10.7', 'merge') pulled in by
~app-text/poppler-utils-0.10.7[abiword] required by ('ebuild', '/', 'virtual/poppler-utils-0.10.7', 'merge')

I am using KDE 4.

Should I:
Remove poppler-bindings?
Mask the new poppler?
Halt my updates?
Back to top
View user's profile Send private message
hoacker
Guru
Guru


Joined: 04 Aug 2007
Posts: 474
Location: Bürstadt, Germany

PostPosted: Thu Jun 25, 2009 4:09 pm    Post subject: Re: Big fat Poppler blockage. Reply with quote

iGentoo900 wrote:
('installed', '/', 'app-text/poppler-bindings-0.10.5-r1', 'nomerge') pulled in by
app-text/poppler-bindings required by world

Should I:
Remove poppler-bindings?


You have poppler-bindings recorded in your world file, which is no usual (i think). Remove poppler-bindings and update. You may want to revdep-rebuild to make sure nothing is broken.
Back to top
View user's profile Send private message
kallamej
Administrator
Administrator


Joined: 27 Jun 2003
Posts: 4830
Location: Gothenburg, Sweden

PostPosted: Thu Jun 25, 2009 7:04 pm    Post subject: Reply with quote

Moved from Portage & Programming to Duplicate Threads in favour of e.g. Poppler blockers, must unmerge poppler to fix [SOLVED]
_________________
Please read our FAQ Forum, it answers many of your questions.
irc: #gentoo-forums on irc.freenode.net
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum